<?php
class Normal_FromTo extends netsControl {
	public function Normal_FromTo(){
		$this->netsControl();
	}
	public function Control($pColumn){
		$tmpControl=$pColumn['stcotName'].'Txt'.$pColumn['NameExtend'];
		$tmpIntroduct='';
		if(strlen($pColumn['stcoctUiIntroduct'])>0 && $pColumn['stcoctUiIntroduct']!='&nbsp;'){
			$tmpIntroduct='<div id="'.$tmpControl.'_Messagebox" class="ControlIntroduct">'.$pColumn['stcoctUiIntroduct'].'</div>';
		}else{
			$tmpIntroduct='<div id="'.$tmpControl.'_Messagebox" class="DHidden">'.$pColumn['stcoctUiIntroduct'].'</div>';
		}
		$tmpValues=explode($this->sysSPLIT2,$pColumn['Value']);
		if(count($tmpValues)!=2){
			$tmpValues=array('','',);
		}
?>
<!-- #<?php echo ($tmpControl); ?> -->
<?php if ($pColumn['stcoctSingleLine']==0) { ?><tr id="<?php echo($tmpControl); ?>_RowBox" class="<?php echo ($pColumn['LineStyle']); ?>"><?php } ?>
<td id="<?php echo ($tmpControl); ?>_Label" class="PanelTitle"><?php echo ($pColumn['stcoctUiName']); ?>：</td>
<td id="<?php echo ($tmpControl); ?>PanelBox" class="PanelBox <?php if ($pColumn['stcoctSingleLine']==1) { ?>PanelMultiColumn<?php } ?>" <?php if ($pColumn['stcoctSingleLine']==0 && $pColumn['stcoctColspan']>1) { ?>colspan="<?php echo($pColumn['stcoctColspan']); ?>"<?php } ?>>
<!--S.<?php echo ($tmpControl); ?>-->
<table class="" cellpadding="0" cellspacing="0"><tr><td class="FromTo_1">
<input id="<?php echo($tmpControl); ?>_From" name="<?php echo($tmpControl); ?>_From" type="text" class="SControl1 ControlText FromTo_Textbox"
onclick="tmpControl.onControlLight(this,'ControlText FromTo_Textbox');<?php echo($pColumn['Parameter_JS_Onclick']); ?>"
onblur="tmpControl.onControlBlur(this,'ControlText FromTo_Textbox');<?php echo($pColumn['Parameter_JS_Onblur']); ?>"
onfocus="tmpControl.chooseCall('<?php echo ($pColumn['Parameter']); ?>',this);<?php echo($pColumn['Parameter_JS_Onfocus']); ?>"
onchange="tmpFromTo.calaValue('<?php echo($tmpControl); ?>');<?php echo($pColumn['Parameter_JS_Onchange']); ?>"
onmouseover="<?php echo($pColumn['Parameter_JS_Onmouseover']); ?>"
onmouseout="<?php echo($pColumn['Parameter_JS_Onmouseout']); ?>"
value="<?php echo ($tmpValues[0]); ?>" style="<?php echo ($pColumn['ControlStyle']); ?>" />
</td><td class="FromTo_2">&nbsp;</td><td class="FromTo_3">-</td><td class="FromTo_2">&nbsp;</td><td class="FromTo_4">
<input id="<?php echo($tmpControl); ?>_To" name="<?php echo($tmpControl); ?>_To" type="text" class="SControl1 ControlText FromTo_Textbox"
onclick="tmpControl.onControlLight(this,'ControlText FromTo_Textbox');<?php echo($pColumn['Parameter_JS_Onclick']); ?>"
onblur="tmpControl.onControlBlur(this,'ControlText FromTo_Textbox');<?php echo($pColumn['Parameter_JS_Onblur']); ?>"
onfocus="tmpControl.chooseCall('<?php echo ($pColumn['Parameter']); ?>',this);<?php echo($pColumn['Parameter_JS_Onfocus']); ?>"
onchange="tmpFromTo.calaValue('<?php echo($tmpControl); ?>');<?php echo($pColumn['Parameter_JS_Onchange']); ?>"
onmouseover="<?php echo($pColumn['Parameter_JS_Onmouseover']); ?>"
onmouseout="<?php echo($pColumn['Parameter_JS_Onmouseout']); ?>"
value="<?php echo ($tmpValues[1]); ?>" style="<?php echo ($pColumn['ControlStyle']); ?>" />
</td></tr></table>
<input id="<?php echo($tmpControl); ?>" name="<?php echo($tmpControl); ?>" type="hidden" value="<?php echo ($pColumn['Value']); ?>" />
<?php echo ($tmpIntroduct); ?>
<!--sendRequest--><!--E.<?php echo ($tmpControl); ?>--></td>
<td id="<?php echo ($tmpControl); ?>_ImgIntroduct" class="PanelImgIntroduct">
<?php if(strlen($pColumn['stcoctUiImgIntroduct'])>0 && $pColumn['stcoctUiImgIntroduct']!='&nbsp;'){ ?>
<a href="#Here"><img src="<?php echo($this->sysFileConfig['sysUiCoreRoot']); ?>Ui/Common/Img/Common/icon_4.jpg" title="<?php echo($pColumn['stcoctUiImgIntroduct']); ?>" /></a>
<?php }else{ ?>&nbsp;<?php } ?></td><?php if ($pColumn['stcoctSingleLine']==0) { ?></tr><?php } ?>
<?php
	}
}
?>